/evm/{chain}/txs/job

Call this endpoint with an account address and a block range (startBlock/endBlock) or a timestamp range (startTimestamp/endTimestamp).

  • If no job exists for the given parameters, a new background job will be started to start fetching transactions, and the API will return a 425 (Too Early) with progress information.
  • If a job is already running but not yet complete, the API will return a 425 (Too Early) with progress information.
  • Once the job finishes, subsequent calls will return a 200 (OK) with paginated transaction data (including standard pagination via nextPageUrl).

To consume results:

  1. Call this endpoint and check for HTTP 200 or HTTP 425.
  2. If you receive HTTP 425, retry periodically until you receive a 200. Alternatively, if you provided a webhookUrl, you will automatically receive a webhook notification when the job finishes processing.
  3. When a 200 is returned, fetch the transactions in the response (which will default to the first 100 transactions) and then call nextPageUrl (if provided) to fetch the remaining pages.

You must supply either both startBlock and endBlock or both startTimestamp and endTimestamp, but not a mix of block and timestamp parameters.

Optionally, you can provide a txLimit parameter to limit the total number of transactions processed. If not provided, all transactions in the specified range will be fetched. By default, the job will fetch transactions starting from the latest block in the range. You can change this to fetch from the start by setting fetchFromBeginning to true.

Optional flags provided in the options parameter let you classify transactions from a different address perspective, exclude spam transactions, include pricing data for tokens, or run balance reconciliation checks. Supported options are:

  • prices: enrich txs with token price data when available.
  • reconcile: automatically run a balance reconciliation check after processing.
  • excludeSpam: exclude transactions flagged as spam.

Additionally, if format is v5, you can provide any of the options supported by /evm/{chain}/{format}/tx/{txHash} endpoint:

  • allTransfers: include all additional token/native/internal transfers in addition to perspective-based classification
  • internals: include internal transactions details
  • traces: include low-level EVM traces
  • rawTx: include raw transaction payload
  • eventLogs: include decoded event logs
  • viewAsTransactionSender: force classification from the transaction sender's perspective
Path Params
string
required
Defaults to eth

The name of the chain (e.g., “eth”, “bsc”).

Query Params
string
Defaults to 0x9B1054d24dC31a54739B6d8950af5a7dbAa56815

The wallet address whose transactions you want to fetch.

string

Optional address to use when classifying transactions; defaults to accountAddress.

int64

The starting block number to filter by. Required if using block range; must be paired with endBlock.

int64

The ending block number to filter by. Required if using block range; must be paired with startBlock.

int64

The starting UNIX timestamp to filter by. Required if using timestamp range; must be paired with endTimestamp.

int64

The ending UNIX timestamp to filter by. Required if using timestamp range; must be paired with startTimestamp.

string

Optional URL to receive a webhook notification when the job finishes processing.

int64

Optional maximum number of transactions to process. If not provided, all transactions in the specified range will be processed.

boolean
Defaults to false

If true, the job will fetch transactions starting from the earliest.

int32
Defaults to 1

The page number to retrieve once data is ready; defaults to 1.

int32
1 to 1000
Defaults to 100

Number of transactions per page once data is ready; defaults to 100 (maximum 1000).

boolean
Defaults to false

When true, sort transactions in ascending order by timestamp; defaults to false (descending). This is only for the output of the job and is independent from fetchFromBeginning.

string
Defaults to v5

Transaction response format.

string

Optional flags to control the job's behavior or add formatting. Available: prices, reconcile, excludeSpam, plus v5-only: allTransfers, internals, traces, rawTx, eventLogs, viewAsTransactionSender.

Headers
string
required
Defaults to demokey

API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json